# OpalBaseMixer::Stream Struct Reference

`#include <opalmixer.h>`

## Public Member Functions

virtual | ~Stream ()
virtual void | QueuePacket (const RTP_DataFrame &rtp)=0

## Data Fields

std::queue< RTP_DataFrame > | m_queue

## Constructor & Destructor Documentation

virtual OpalBaseMixer::Stream::~Stream | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void OpalBaseMixer::Stream::QueuePacket | ( | const RTP_DataFrame & | rtp | ) | `[pure virtual]`

## Field Documentation

std::queue<RTP_DataFrame> OpalBaseMixer::Stream::m_queue

The documentation for this struct was generated from the following file:

- opalmixer.h